java.lang.Object
com.ringcentral.paths.restapi.oauth.authorize.Index

public class Index extends Object
  • Field Summary

    Fields
    Modifier and Type
    Field
    Description
     
     
  • Constructor Summary

    Constructors
    Constructor
    Description
    Index(Index parent)
     
  • Method Summary

    Modifier and Type
    Method
    Description
    get()
     
    get(AuthorizeParameters queryParams)
    Performs Authentication of the End-User by sending the User Agent to the Authorization Server's Authorization Endpoint for Authentication and Authorization, using request parameters defined by OAuth 2.0 [RFC-6749](https://datatracker.ietf.org/doc/html/rfc6749#section-3.1) and additional parameters and parameter values defined by [OpenID Connect Core 1.0](https://openid.net/specs/openid-connect-core-1_0.html#AuthorizationEndpoint).
     
    path(Boolean withParameter)
     
    post(AuthorizeRequest authorizeRequest)
    Performs Authentication of the End-User by sending the User Agent to the Authorization Server's Authorization Endpoint for Authentication and Authorization, using request parameters defined by OAuth 2.0 [RFC-6749](https://datatracker.ietf.org/doc/html/rfc6749#section-3.1) and additional parameters and parameter values defined by [OpenID Connect Core 1.0](https://openid.net/specs/openid-connect-core-1_0.html#AuthorizationEndpoint).

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Field Details

  • Constructor Details

    • Index

      public Index(Index parent)
  • Method Details

    • path

      public String path()
    • path

      public String path(Boolean withParameter)
    • get

      public String get(AuthorizeParameters queryParams) throws RestException, IOException
      Performs Authentication of the End-User by sending the User Agent to the Authorization Server's Authorization Endpoint for Authentication and Authorization, using request parameters defined by OAuth 2.0 [RFC-6749](https://datatracker.ietf.org/doc/html/rfc6749#section-3.1) and additional parameters and parameter values defined by [OpenID Connect Core 1.0](https://openid.net/specs/openid-connect-core-1_0.html#AuthorizationEndpoint).

      This is the version that uses HTTP `GET` method.

      HTTP Method: get Endpoint: /restapi/oauth/authorize Rate Limit Group: Auth

      Throws:
      RestException
      IOException
    • get

      public String get() throws RestException, IOException
      Throws:
      RestException
      IOException
    • post

      public String post(AuthorizeRequest authorizeRequest) throws RestException, IOException
      Performs Authentication of the End-User by sending the User Agent to the Authorization Server's Authorization Endpoint for Authentication and Authorization, using request parameters defined by OAuth 2.0 [RFC-6749](https://datatracker.ietf.org/doc/html/rfc6749#section-3.1) and additional parameters and parameter values defined by [OpenID Connect Core 1.0](https://openid.net/specs/openid-connect-core-1_0.html#AuthorizationEndpoint).

      This is the version that uses HTTP `POST` method and requires a request body instead of query parameters.

      HTTP Method: post Endpoint: /restapi/oauth/authorize Rate Limit Group: Auth

      Throws:
      RestException
      IOException